<GridLayout>
    <StackLayout *ngIf="!showDialog">
        <Label text="Item Details" class="header"></Label>
        <Label [text]="nameFormatted"></Label>
        <Label [text]="priceFormatted"></Label>
        <Label [text]="FormatString('previous_store', result.last_Store_Id)"></Label>
        <Label [text]="FormatString('current_store', result.currentStoreId)"></Label>
        <ng-container *ngIf="previousPrices.length > 0">
            <Label text=""></Label> <!-- Blank line -->
            <Label text="Previous Prices:" class="header"></Label>
            <StackLayout *ngFor="let prices of previousPrices">
                <Label [text]="FormatString('price', prices.price)"></Label>
                <Label [text]="FormatString('store', prices.storeId)"></Label>
                <Label [text]="FormatString('date', prices.dateOfPrice)"></Label>
                <Label text=""></Label> <!-- Blank line -->
            </StackLayout>
        </ng-container>
        <DockLayout stretchLastChild="true">
            <Button (tap)="RedirectToUpdate()" dock="bottom" text="Update Item" class="update-btn btn"></Button>
        </DockLayout>
        <DockLayout stretchLastChild="true">
            <Button (tap)="OpenDialog()" dock="bottom" text="Delete Item" class="delete-btn btn"></Button>
        </DockLayout>
        <DockLayout stretchLastChild="true">
            <Button (tap)="RedirectToAddPrice()" dock="bottom" text="Add Another Price" class="delete-btn btn"></Button>
        </DockLayout>
        <DockLayout stretchLastChild="true">
            <Button (tap)="RedirectToViewPrice()" dock="bottom" text="View All Prices" isEnabled = "{{previousPrices.length > 0}}" class="delete-btn btn"></Button>
        </DockLayout>
        <DockLayout stretchLastChild="true">
            <Button (tap)="RedirectToHome()" dock="bottom" text="Return to Home" class="delete-btn btn"></Button>
        </DockLayout>
    </StackLayout>
    <AbsoluteLayout class="dialog-wrapper" *ngIf="showDialog">
        <StackLayout class="dialog">
            <Label textWrap="true" text="Are you sure you want to delete this item?"></Label>
            <Button (tap)="DeleteItem()" class="btn btn-primary" text="Yes"></Button>
            <Button (tap)="CloseDialog()" class="btn" text="No"></Button>
        </StackLayout>
    </AbsoluteLayout>
</GridLayout>
